Subject: Re: [RFC bpf-next 4/4] selftests/bpf: Add attach bench test

From: Steven Rostedt <[email-masked]>
Date: Wed, 13 Apr 2022 12:44:19 -0400

On Tue, 12 Apr 2022 09:49:23 +0900
Masami Hiramatsu <[email-masked]> wrote:

> > I'm really curious how did you manage to attach to everything in
> > available_filter_functions because when I'm trying to do that I fail.
> > available_filter_functions has a bunch of functions that should not be
> > attachable (e.g., notrace functions). Look just at __bpf_tramp_exit:
> > 
> >   void notrace __bpf_tramp_exit(struct bpf_tramp_image *tr);  

Did you only use the "notrace" on the prototype? I see the semicolon at
the end of your comment. It only affects the actual function itself,
not the prototype.

-- Steve